StepF <- function()
{
#
#  Set output file name.
#
    sink("OUTPUT/MJJRO.FTPK.Stepwise.FORWARD.out")
#
#  Read input files.
#
#  Calibration data from stations:

    CalibData  <- read.table("INPUT/VARS.STNS.FTPK.1992-2011.CALIB.txt", header=TRUE)
#
#
#  Transform to log of runoff.
#
    CalibData$LOGMJJRO = log10(CalibData$MJJRO)
#
#  Linear regression for May-June runoff in a given year.
#
    yy_null = lm(LOGMJJRO ~ 1, data=CalibData)
    yy_full = lm(LOGMJJRO ~ PEAKSWE + PRECJASPLN + PRECONDPLN + PRECJFMPLN + PRECAMJPLN + PRECJASFTH + PRECONDFTH + PRECJFMFTH + PRECAMJFTH + PRECJASMTN + PRECONDMTN + PRECJFMMTN + PRECAMJMTN + TAVEJASPLN + TAVEONDPLN + TAVEJFMPLN + TAVEAMJPLN + TAVEJASFTH + TAVEONDFTH + TAVEJFMFTH + TAVEAMJFTH + TAVEJASMTN + TAVEONDMTN + TAVEJFMMTN + TAVEAMJMTN + EVAPJASPLN + EVAPONDPLN + EVAPJFMPLN + EVAPAMJPLN + EVAPJASFTH + EVAPONDFTH + EVAPJFMFTH + EVAPAMJFTH + EVAPJASMTN + EVAPONDMTN + EVAPJFMMTN + EVAPAMJMTN , data=CalibData)
#
    print(" ")
    print("*************************************************************************")
    print("* Ouput from linear model before stepwise regression.                   *")
    print("*************************************************************************")
    print(" ")
    print(summary(yy_full))
#
#  Stepwise regression of variables.
#

    print(" ")
    print("*************************************************************************")
    print("* Ouput from stepwise regression.                                       *")
    print("*************************************************************************")
    print(" ")

    yy_step = step(yy_null, scope=list(lower=yy_null,upper=yy_full), direction="forward", trace=3)
    print(summary(yy_step))
#
#  Return output to the terminal.
#
    sink()
}
