StepFTPK <- function()
{
#
#  Set output file name.
#
    sink("OUTPUT/MJJRO.FTPK.Stepwise.CHECK.out")
#
#  Read input files.
#
#  Calibration data from stations:

    CalibData  <- read.table("INPUT/VARS.STNS.FTPK.1992-2011.CALIB.txt", header=TRUE)
#
#
#  Transform to log of runoff.
#
    CalibData$LOGMJJRO = log10(CalibData$MJJRO)
#
#  Linear regression for May-June runoff in a given year.
#
    yy = lm(LOGMJJRO ~ 1, data=CalibData)
    print(summary(yy))
#
    yy = lm(LOGMJJRO ~ PEAKSWE, data=CalibData)
    print(summary(yy))
#
    yy = lm(LOGMJJRO ~ PEAKSWE + PRECAMJPLN, data=CalibData)
    print(summary(yy))
#
    yy = lm(LOGMJJRO ~ PEAKSWE + PRECAMJPLN + EVAPJASFTH, data=CalibData)
    print(summary(yy))
#
    yy = lm(LOGMJJRO ~ PEAKSWE + PRECAMJPLN + EVAPJASFTH + PRECONDPLN, data=CalibData)
    print(summary(yy))
#
    yy = lm(LOGMJJRO ~ PEAKSWE + PRECAMJPLN + EVAPJASFTH + PRECONDPLN + EVAPONDPLN, data=CalibData)
    print(summary(yy))
#
    yy = lm(LOGMJJRO ~ PEAKSWE + PRECAMJPLN + EVAPJASFTH + PRECONDPLN + EVAPONDPLN + TAVEAMJPLN, data=CalibData)
    print(summary(yy))
#
    yy = lm(LOGMJJRO ~ PEAKSWE + PRECAMJPLN + EVAPJASFTH + PRECONDPLN + EVAPONDPLN + TAVEAMJPLN + TAVEJASPLN, data=CalibData)
    print(summary(yy))
#
    yy = lm(LOGMJJRO ~ PEAKSWE + PRECAMJPLN + EVAPJASFTH + PRECONDPLN + EVAPONDPLN + TAVEAMJPLN + TAVEJASPLN + TAVEJASFTH, data=CalibData)
    print(summary(yy))
#
    yy = lm(LOGMJJRO ~ PEAKSWE + PRECAMJPLN + EVAPJASFTH + PRECONDPLN + EVAPONDPLN + TAVEAMJPLN + TAVEJASPLN + TAVEJASFTH + TAVEONDPLN, data=CalibData)
    print(summary(yy))
#
#  Return output to the terminal.
#
    sink()
}
