StepSAKA <- function()
{
#
#  Set output file name.
#
    sink("OUTPUT/MJJRO.SAKA.Stepwise.CHECK.out")
#
#  Read input files.
#
#  Calibration data from stations:

    CalibData  <- read.table("INPUT/VARS.STNS.SAKA.1992-2011.CALIB.txt", header=TRUE)
#
#
#  Transform to log of runoff.
#
    CalibData$LOGMJJRO = log10(CalibData$MJJRO)
#
#  Linear regression for May-June runoff in a given year.
#
    yy = lm(LOGMJJRO ~ 1, data=CalibData)
    print(summary(yy))
#
    yy = lm(LOGMJJRO ~ PEAKSWE, data=CalibData)
    print(summary(yy))
#
    yy = lm(LOGMJJRO ~ PEAKSWE + PRECAMJPLN, data=CalibData)
    print(summary(yy))
#
    yy = lm(LOGMJJRO ~ PEAKSWE + PRECAMJPLN + TAVEAMJPLN, data=CalibData)
    print(summary(yy))
#
    yy = lm(LOGMJJRO ~ PEAKSWE + PRECAMJPLN + TAVEAMJPLN + EVAPJASFTH, data=CalibData)
    print(summary(yy))
#
    yy = lm(LOGMJJRO ~ PEAKSWE + PRECAMJPLN + TAVEAMJPLN + EVAPJASFTH + PRECJFMMTN, data=CalibData)
    print(summary(yy))
#
    yy = lm(LOGMJJRO ~ PEAKSWE + PRECAMJPLN + TAVEAMJPLN + EVAPJASFTH + PRECJFMMTN + PRECJFMFTH, data=CalibData)
    print(summary(yy))
#
    yy = lm(LOGMJJRO ~ PEAKSWE + PRECAMJPLN + TAVEAMJPLN + EVAPJASFTH + PRECJFMMTN + PRECJFMFTH + PRECAMJMTN, data=CalibData)
    print(summary(yy))
#
    yy = lm(LOGMJJRO ~ PEAKSWE + PRECAMJPLN + TAVEAMJPLN + EVAPJASFTH + PRECJFMMTN + PRECJFMFTH + PRECAMJMTN + TAVEAMJMTN, data=CalibData)
    print(summary(yy))
#
    yy = lm(LOGMJJRO ~ PEAKSWE + PRECAMJPLN + TAVEAMJPLN + EVAPJASFTH + PRECJFMMTN + PRECJFMFTH + PRECAMJMTN + TAVEAMJMTN + EVAPONDPLN, data=CalibData)
    print(summary(yy))
#
#  Return output to the terminal.
#
    sink()
}
